Loading...
Searching...
No Matches
Dune::Amg::DefaultConstructionArgs< Richardson< X, Y > > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::DefaultConstructionArgs< Richardson< X, Y > >:

## Public Member Functions

virtual | ~DefaultConstructionArgs ()
template<class... Args>
void | setMatrix (const Args &...)
void | setArgs (const SmootherArgs &args)
template<class T1>
void | setComm (T1 &comm)
const SequentialInformation & | getComm ()
const SmootherArgs | getArgs () const
const Matrix & | getMatrix () const

## Protected Attributes

const Matrix * | matrix_

## Member Function Documentation

## getMatrix()

const Matrix & Dune::Amg::DefaultConstructionArgs< Richardson< X, Y > >::getMatrix | ( |  | ) | const

inline

## Member Data Documentation

## matrix_

const Matrix* Dune::Amg::DefaultConstructionArgs< Richardson< X, Y > >::matrix_

protected

The documentation for this class was generated from the following file:

- smoother.hh